class InfStimBonus : Stimpack {
	Default {
		//$Category Health and Armor
		Inventory.PickupSound "items/stimbonus";
		Inventory.PickupMessage "Picked up a charged stimpack (+10).";
		Inventory.MaxAmount 200;
	}
	States {
		Spawn:
			STI2 A -1;
			Stop;
	}
}

class InfMediBonus : Medikit {
	Default {
		//$Category Health and Armor
		Inventory.PickupSound "items/medibonus";
		Inventory.PickupMessage "Picked up a charged medikit (+25).";
		Inventory.MaxAmount 200;
	}
	States {
		Spawn:
			MED2 A -1;
			Stop;
	}
}

class InfArmorShard : ArmorBonus {
	Default {
		//$Category Health and Armor
		Inventory.Icon "ARSDA0";
		Inventory.PickupSound "items/armorshard";
		Inventory.PickupMessage "Picked up an armor plate (+10).";
		Armor.SaveAmount 10;
	}
	States {
		Spawn:
			ARSD ABCDCB 6;
			loop;
	}
}
