class InfMachinegun : Weapon replaces Chaingun {
	Default {
		Weapon.SelectionOrder 700;
		Weapon.AmmoUse 1;
		Weapon.AmmoGive 40;
		Weapon.AmmoType "InfBulletClip";
		Inventory.PickupMessage "You got the Machinegun!"; // "You got the chaingun"
		Obituary "%o was mowed down by %k's machinegun."; // "%o was mowed down by %k's chaingun."
		Tag "Machinegun";
	}
	States {
		Ready:
			HVMG A 1 A_WeaponReady;
			Loop;
		Deselect:
			HVMG A 1 A_Lower;
			Loop;
		Select:
			HVMG A 1 A_Raise;
			Loop;
		Fire:
			HVMG B 0 A_GunFlash;
			TNT1 A 0 A_StartSound("weapons/mgfire", CHAN_WEAPON);
			HVMG B 1;
			HVMG C 1 A_FireBullets(2.5, 2.5, 1, 5, "BulletPuff");
			HVMG A 2;
			TNT1 A 0 A_ReFire;
			Goto Ready;
		Flash:
			HVMG B 1 Bright A_Light1;
			HVMG C 1 Bright A_Light2;
			Goto LightDone;
		Spawn:
			HVMG W -1;
			Stop;
	}
}