class InfSpreadGun : Weapon {
	Default {
		//$Category Weapons
		Weapon.SelectionOrder 90;
		Weapon.AmmoUse 1;
		Weapon.AmmoUse2 1;
		Weapon.AmmoGive 40;
		Weapon.AmmoType "Cell";
		Weapon.AmmoType2 "Cell";
		Inventory.PickupMessage "You got the Spread Gun!";
		Tag "Spread Gun";
		Obituary "%o was melted by %k's spread gun.";
		Translation "192:207=168:191";
	}
	States {
		Ready:
			PKPL A 1 A_WeaponReady;
			Loop;
		Deselect:
			PKPL A 1 A_Lower;
			Loop;
		Select:
			PKPL A 1 A_Raise;
			Loop;
		Fire:
			TNT1 A 0 A_JumpIf(GetCvar("cl_infested_swap_spreadgun_firemodes"), "AltFireModeSwap");
		FireModeSwap:
			TNT1 A 0 A_GunFlash;
			TNT1 A 0 A_StartSound("weapons/plsfire", CHAN_WEAPON, 0, 0.7);
			PL2F A 1 A_FireProjectile("InfRedPlasmaBall",0,1,0,0);
			PL2F B 1 A_Light0;
			PL2F B 1 A_ReFire("Fire2");
			PKPL BCDE 1;
			PKPL F 6 A_StartSound("BEPBEP");
			PKPL EDCB 1;
			Goto Ready;
		Fire2:
			TNT1 A 0 A_GunFlash;
			TNT1 A 0 A_StartSound("weapons/plsfire", CHAN_7, 0, 0.7);
			PL2F A 1 A_FireProjectile("InfRedPlasmaBall",7,1,0,0,FPF_AIMATANGLE);
			PL2F B 1 A_Light0;
			PL2F B 1 A_ReFire("Fire3");
			PKPL BCDE 1;
			PKPL F 6 A_StartSound("BEPBEP");
			PKPL EDCB 1;
			Goto Ready;
		Fire3:
			TNT1 A 0 A_GunFlash;
			TNT1 A 0 A_StartSound("weapons/plsfire", CHAN_WEAPON, 0, 0.7);
			PL2F A 1 A_FireProjectile("InfRedPlasmaBall",-7,1,0,0,FPF_AIMATANGLE);
			PL2F B 1 A_Light0;
			PL2F B 1 A_ReFire("Fire4");
			PKPL BCDE 1;
			PKPL F 6 A_StartSound("BEPBEP");
			PKPL EDCB 1;
			Goto Ready;
		Fire4:
			TNT1 A 0 A_GunFlash;
			TNT1 A 0 A_StartSound("weapons/plsfire", CHAN_7, 0, 0.7);
			PL2F A 1 A_FireProjectile("InfRedPlasmaBall",14,1,0,0,FPF_AIMATANGLE);
			PL2F B 1 A_Light0;
			PL2F B 1 A_ReFire("Fire5");
			PKPL BCDE 1;
			PKPL F 6 A_StartSound("BEPBEP");
			PKPL EDCB 1;
			Goto Ready;
		Fire5:
			TNT1 A 0 A_GunFlash;
			TNT1 A 0 A_StartSound("weapons/plsfire", CHAN_WEAPON, 0, 0.7);
			PL2F A 1 A_FireProjectile("InfRedPlasmaBall",-14,1,0,0,FPF_AIMATANGLE);
			PL2F B 1 A_Light0;
			PL2F B 1 A_ReFire("FireModeSwap");
			PKPL BCDE 1;
			PKPL F 6 A_StartSound("BEPBEP");
			PKPL EDCB 1;
			Goto Ready;
		AltFire:
			TNT1 A 0 A_JumpIf(GetCvar("cl_infested_swap_spreadgun_firemodes"), "FireModeSwap");
		AltFireModeSwap:
			TNT1 A 0 A_GunFlash;
			TNT1 A 0 A_StartSound("weapons/plsfire", CHAN_WEAPON, 0, 0.7);
			PL2F A 1 A_FireProjectile("InfRedPlasmaBall",0,1,0,0);
			PL2F B 1 A_Light0; 
			PL2F A 1;
			PL2F B 1 A_ReFire;
			PKPL BCDE 1;
			PKPL F 6 A_StartSound("BEPBEP");
			PKPL EDCB 1;
			Goto Ready;
		Flash:
			TNT1 A 1 A_Light1;
			Goto LightDone;
		AltFlash:
			TNT1 A 1 A_Light1;
			Goto LightDone;
		Spawn:
			TPRP A -1;
			Stop;
	}
}

class InfRedPlasmaBall : PlasmaBall {
	Default {
		SeeSound "";
		Translation "192:207=168:191";		
	}
}