class InfBulletClip : Ammo replaces Clip {
	Default {
		Inventory.PickupMessage "$GOTCLIP"; // "Picked up a clip."
		Inventory.Amount 20;
		Inventory.MaxAmount 300;
		Ammo.BackpackAmount 20;
		Ammo.BackpackMaxAmount 600;
		Inventory.Icon "CLIPA0";
	}
	States	{
		Spawn:
			CLIP A -1;
			Stop;
	}
}

class InfBulletBox : InfBulletClip replaces ClipBox {
	Default {
		Inventory.PickupMessage "$GOTCLIPBOX"; // "Picked up a box of bullets."
		Inventory.Amount 100;
	}
	States	{
		Spawn:
			AMMO A -1;
			Stop;
	}
}

class InfSmallCell : Cell {
	Default {
		//$Category Ammunition
		Inventory.PickupMessage "Picked up a small energy cell.";
		Inventory.Amount 5;
		Scale 0.6;
	}
}

class InfBFGCore : Ammo {
	Default {
		//$Category Ammunition
		Inventory.PickupMessage "Picked up a BFG core.";
		Inventory.Amount 1;
		Inventory.MaxAmount 10;
		Scale 0.6;
		Ammo.BackpackAmount 1;
		Ammo.BackpackMaxAmount 10;
		Inventory.Icon "BFCOA0";
	}
	States	{
		Spawn:
			BFCO ABCD 3 Bright;
			Loop;
	}
}