class GoreRedSkull : DoomKey {
	Default {
		Inventory.PickupSound "items/skullkey";
		Inventory.PickupMessage "Red Gore Nest Destroyed.";
		Inventory.Icon "STKEYS5";
	}
	States {
		Spawn:
			RSKU A 10;
			RSKU B 10 Bright;
			Loop;
	}
}

class GoreBlueSkull : DoomKey {
	Default {
		Inventory.PickupSound "items/skullkey";
		Inventory.PickupMessage "Blue Gore Nest Destroyed.";
		Inventory.Icon "STKEYS3";
	}
	States {
		Spawn:
			BSKU A 10;
			BSKU B 10 Bright;
			Loop;
	}
}

class GoreBrownSkull : DoomKey {
	Default {
		Inventory.PickupSound "items/skullkey";
		Inventory.PickupMessage "Brown Gore Nest Destroyed.";
		Inventory.Icon "I_BRNSKU";
	}
	States {
		Spawn:
			BRSK A 10;
			BRSK B 10 Bright;
			Loop;
	}
}

class GoreGreenSkull : DoomKey {
	Default {
		Inventory.PickupSound "items/skullkey";
		Inventory.PickupMessage "Green Gore Nest Destroyed.";
		Inventory.Icon "I_GRNSKU";
	}
	States {
		Spawn:
			GSKU A 10;
			GSKU B 10 Bright;
			Loop;
	}
}

class GoreGreySkull : DoomKey {
	Default {
		Inventory.PickupSound "items/skullkey";
		Inventory.PickupMessage "Grey Gore Nest Destroyed.";
		Inventory.Icon "I_SLVSKU";
	}
	States {
		Spawn:
			SSKU A 10;
			SSKU B 10 Bright;
			Loop;
	}
}

class GorePurpleSkull : DoomKey {
	Default {
		Inventory.PickupSound "items/skullkey";
		Inventory.PickupMessage "Magenta Gore Nest Destroyed.";
		Inventory.Icon "I_PNKSKU";
	}
	States {
		Spawn:
			PSKU A 10;
			PSKU B 10 Bright;
			Loop;
	}
}