class InfHeavyChaingun : Weapon {
	Default {
		//$Category Weapons
		Weapon.SelectionOrder 350;
		Weapon.AmmoUse 1;
		Weapon.AmmoUse2 1;
		Weapon.AmmoGive 40;
		Weapon.AmmoType "InfBulletClip";
		Weapon.AmmoType2 "InfBulletClip";
		Inventory.PickupMessage "You got the Heavy Chaingun!";
		Obituary "$OB_MPCHAINGUN"; // "%o was mowed down by %k's chaingun."
		Tag "Heavy Chaingun";
	}
	States {
		Ready:
			HCGG A 1 A_WeaponReady;
			Loop;
		Deselect:
			HCGG A 1 A_Lower;
			Loop;
		Select:
			HCGG A 1 A_Raise;
			Loop;
		Fire:
			HCGG A 0 A_GunFlash;
			HCGG A 1;
			TNT1 A 0 A_StartSound("weapons/mgfire", CHAN_WEAPON);
			TNT1 A 0 A_StartSound("weapons/mgrotate", CHAN_6);
			HCGG B 1 A_FireBullets(5, 5, 1, 5, "BulletPuff");
			HCGG C 1;
			TNT1 A 0 A_StartSound("weapons/mgfire", CHAN_7);
			TNT1 A 0 A_StartSound("weapons/mgrotate", CHAN_6);
			HCGG D 1 A_FireBullets(5, 5, 1, 5, "BulletPuff");
			HCGG A 2 A_ReFire;
			TNT1 A 0 A_StartSound("weapons/mgstop", CHAN_6);
			HCGG B 2;
			HCGG CD 3;
			Goto Ready;
		Flash:
			HCGF A 1 Bright A_Light1;
			HCGF B 1 Bright A_Light2;
			HCGF C 1 Bright A_Light1;
			HCGF D 1 Bright A_Light2;
			Goto LightDone;
		AltFire:
			HCGG A 0 A_GunFlash;
			TNT1 A 0 A_StartSound("weapons/mgfire", CHAN_WEAPON);
			HCGG A 1;
			HCGG A 1 A_FireBullets(2.5, 2.5, 1, 5, "BulletPuff");
			HCGG A 2;
			TNT1 A 0 A_ReFire;
			Goto Ready;
		AltFlash:
			HCGF A 1 Bright A_Light1;
			HCGF E 1 Bright A_Light2;
			Goto LightDone;
		Spawn:
			HCNG A -1;
			Stop;
	}
}