class InfPlasmaRifle : PlasmaRifle replaces PlasmaRifle {
	Default {
		Tag "Plasma Rifle";
	}
	States {
		Ready:
			PLSG A 1 A_WeaponReady;
			Loop;
		Deselect:
			PLSG A 1 A_Lower;
			Loop;
		Select:
			PLSG A 1 A_Raise;
			Loop;
		Fire:
			TNT1 A 0 A_StartSound("weapons/plsfire", CHAN_WEAPON, 0, 0.7);
			PLSG A 3 A_FirePlasma;
			PLSG B 5 A_ReFire;
			TNT1 A 0 A_StartSound("BEPBEP");
			PLSG B 15;
			Goto Ready;
		Flash:
			PLSF A 4 Bright A_Light1;
			Goto LightDone;
			PLSF B 4 Bright A_Light1;
			Goto LightDone;
		Spawn:
			PLAS A -1;
			Stop;
	}
}

class InfBluePlasmaBall : PlasmaBall replaces PlasmaBall{
	Default {
		SeeSound "";
	}
}