class InfShotgun : Weapon replaces Shotgun {
	Default {
		Weapon.SelectionOrder 1300;
		Weapon.AmmoUse1 1;
		Weapon.AmmoUse2 4;
		Weapon.AmmoGive 8;
		Weapon.AmmoType1 "Shell";
		Weapon.AmmoType2 "Shell";
		Inventory.PickupMessage "$GOTSHOTGUN";
		Obituary "$OB_MPSHOTGUN";
		Tag "Shotgun";
	}
	States {
		Ready:
			SHTG A 1 A_WeaponReady;
			Loop;
		Deselect:
			SHTG A 1 A_Lower;
			Loop;
		Select:
			SHTG A 1 A_Raise;
			Loop;
		Fire:
			SHTG A 3;
			SHTG A 0 A_FireBullets (5, 5, 9, 5, "BulletPuff");
			SHTG A 0 A_StartSound ("weapons/shotgf", CHAN_WEAPON);
			SHTG A 1 A_GunFlash;
			SHTG BC 1;
			SHTG DCB 2;
			SHTG ADF 1;
			SHTG GH 2;
			SHTG I 2 A_StartSound("weapons/sgload", 0);
			SHTG JK 1;
			SHTG L 5;
			SHTG K 1;
			SHTG JI 2;
			SHTG HGFE 1;
			SHTG A 7 A_ReFire;
			Goto Ready;
		Flash:
			SHTF A 2 Bright A_Light1;
			SHTF B 2 Bright A_Light2;
			Goto LightDone;
		Spawn:
			SHOT A -1;
			Stop;
	}
}