class InfSuperShotgun : Weapon replaces SuperShotgun {
	Default {
		Weapon.SelectionOrder 400;
		Weapon.AmmoUse1 2;
		Weapon.AmmoUse2 1;
		Weapon.AmmoGive 8;
		Weapon.AmmoType1 "Shell";
		Weapon.AmmoType2 "Shell";
		+WEAPON.AMMO_CHECKBOTH
		Translation "64:79=152:159";
		Inventory.PickupMessage "You got the dual-mode Shotgun!";
		Obituary "$OB_MPSSHOTGUN";
		Tag "Super Shotgun";
	}
	States {
		Ready:
			SHT2 A 1 A_WeaponReady;
			Loop;
		Deselect:
			SHT2 A 1 A_Lower;
			Loop;
		Select:
			SHT2 A 1 A_Raise;
			Loop;
		Fire:
			TNT1 A 0 A_JumpIfInventory("Shell", 2, 1);
			Goto AltFire;
			SHT2 A 3;
			SHT2 A 0 A_FireBullets (11.2, 7.1, 20, 5, "BulletPuff");
			SHT2 A 0 A_StartSound ("weapons/sshotf", CHAN_WEAPON);
			SHT2 A 7 A_GunFlash;
			SHT2 B 5;
			SHT2 C 4;
			TNT1 A 0 A_JumpIfInventory("Shell", 2, 1);
			Goto AltFireReload;
			SHT2 D 4;
			SHT2 E 4;
			SHT2 F 4 A_StartSound ("weapons/ssgload", 0);
			SHT2 G 4;
			SHT2 A 3;
			SHT2 D 4;
			SHT2 E 4;
			SHT2 K 4 A_StartSound ("weapons/ssgload", 0);
			SHT2 L 4;
			SHT2 A 3;
			SHT2 A 5 A_ReFire;
			Goto Ready;
		AltFire:
			SHT2 A 3;
			SHT2 A 0 A_FireBullets (5, 5, 9, 5, "BulletPuff");
			SHT2 A 0 A_StartSound ("weapons/shotgf", CHAN_WEAPON);
			SHT2 A 7 A_GunFlash;
			SHT2 B 4;
			SHT2 C 3;
			Goto AltFireReload;
		AltFireReload:
			TNT1 A 0 A_JumpIfInventory("Shell", 1, 1);
			TNT1 A 0 A_CheckReload;
			SHT2 D 4;
			SHT2 E 4;
			SHT2 F 4 A_StartSound ("weapons/ssgload", 0);
			SHT2 G 4;
			SHT2 A 2;
			SHT2 A 5 A_ReFire;
			Goto Ready;
		Flash:
			SHT2 I 4 Bright A_Light1;
			SHT2 J 3 Bright A_Light2;
			Goto LightDone;
		AltFlash:
			SHT2 M 4 Bright A_Light1;
			SHT2 N 3 Bright A_Light2;
			Goto LightDone;
		Spawn:
			SGN2 A -1;
			Stop;
	}
}